QGIS Application - Bug report #2261
digitizing when a project is saved with new symbology results in a crash
2009-12-11 12:04 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12321
Description

When working with a saved project (see attached) using new, advanced symbology, QGIS consistently crashes at the first click on the
canvas during editing operations.

Associated revisions

Revision 06cbd6db - 2009-12-19 01:17 PM - Martin Dobias

Fixed snapping to background layers if there's a layer that doesn't exist. Fixes #2261

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12515 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 6f23f9e8 - 2009-12-19 01:17 PM - Martin Dobias

Fixed snapping to background layers if there's a layer that doesn't exist. Fixes #2261

git-svn-id: http://svn.osgeo.org/qgis/trunk@12515 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-11 01:14 AM - Giovanni Manghi

confirmed also under linux. It may be a issue related with this particular project file/symbology, as with others doesn't happens.

#2 - 2009-12-19 02:48 AM - Martin Dobias

I'm unable to replicate. Could you please attach also the data which leads to crashes?

#3 - 2009-12-19 03:01 AM - Paolo Cavallini

Unfortunately not: the project was done by one of my students during a course, on a sample db. If this proves a local problem, we can close it; | posted it
just in case it helps discover some underlying problem

#4 - 2009-12-19 03:52 AM - Giovanni Manghi

easily replicable for me under linux: open the attached project (it will warn that there is missing data), add polygon, toogle editing, try add a new polygon ->
http://svn.osgeo.org/qgis/trunk/qgis@12515
http://svn.osgeo.org/qgis/trunk@12515

qgis crashes.

#5 - 2009-12-19 04:19 AM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed

The crash was actually caused by snapping to a non-existing layer. Nevermind, fixed in commit:6f23f9e8 (SVN r12516).

Files

€orso.qgs.zip 6.69 KB 2009-12-10 Paolo Cavallini
